Alternative CSS for webclient - Defect #265

not working as expected
04/08/2011 05:21 PM - MS Health

Status: Closed Start date: 04/08/2011
Priority: Normal Due date:

Assignee: Harjo Kompagnie % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

I'm not sure what's wrong but when | copy the new style sheet in, the labels on tab panels display above the tab panels vertically and
the tabs themselves disappear. | tried to attach a before and after screenshot to demonstrate. FYI - this is a form-in-dialog, not sure if
that's the problem.

History

#1 - 04/10/2011 12:45 PM - Harjo Kompagnie

- Status changed from New to In Progress

#2 - 04/10/2011 12:46 PM - Harjo Kompagnie

- Status changed from In Progress to New

I'm not sure what happens therel, It looks like the whole style is not applied!! (see the blue border of the FID)
It works fine here. Did you call the override style, in your onSolutionOpen??

#3 - 04/11/2011 04:31 PM - MS Health

Maybe that is the problem, | don't use the "new" login security, which is where, | think, the onSolutionOpen method is. I'm calling it from the onOpen
method and maybe it won't work that way.

#4 - 04/11/2011 04:34 PM - MS Health
Though the wiki example says it should work with onOpen. Here are the first few lines of that method:
globals.gnclienttype = application.getApplicationType();
// set special css for webclient
if (globals.gnclienttype ==5)

{
application.setUIProperty (APP_WEB_PROPERTY.WEBCLIENT_TEMPLATES_DIR, 'custom');

}
#5 - 04/11/2011 04:39 PM - Harjo Kompagnie
Michael, what Servoy version are you using? | use it also in: onOpen (my method is called onSolutionOpen)
please just try directly:
application.setUIProperty(APP_WEB_PROPERTY.WEBCLIENT_TEMPLATES_DIR, 'custom’);
the smart-client will just ignore that!!

#6 - 04/12/2011 05:16 PM - MS Health

Sorry, my fault, | installed it incorrectly. One thing - the close button in FID is no longer visible, you can click it and it closes the form, but you can;t see
it. Any ideas?

#7 - 04/12/2011 05:25 PM - MS Health

OK, the close button image isn't found because the CSS specifies a different folder:

/*Styling the dialog close button*/
div.wicket-modal div.w_blue a.w_close {
background-image: url(/servoy-webclient/templates/directmanager/images/delete.png) limportant;
background-image: url(/servoy-webclient/templates/directmanager/images/delete.png) limportant;

}

| changed it to "/servoy-webclient/templates/custom/images/delete.png" and it works fine.

#8 - 04/18/2011 09:39 AM - Harjo Kompagnie

- Status changed from New to In Progress

#9 - 04/18/2011 09:39 AM - Harjo Kompagnie

ah.. you are right, will adjust that.
Thanks for reporting back

#10 - 04/18/2011 09:43 AM - Harjo Kompagnie
- Status changed from In Progress to Resolved
- Assignee set to Harjo Kompagnie

- % Done changed from 0 to 100

| have adjusted the wrong path, in the CSS and uploaded a new custom.zip under Files.

#11 - 12/07/2012 02:23 PM - Harjo Kompagnie

- Status changed from Resolved to Closed
